<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ScoredNode (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ScoredNode (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ScoredNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../towerwarspp/player/mcts/Task.html" title="enum in towerwarspp.player.mcts"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/player/mcts/ScoredNode.html" target="_top">Frames</a></li>
<li><a href="ScoredNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.player.mcts</div>
<h2 title="Class ScoredNode" class="title">Class ScoredNode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.player.mcts.ScoredNode</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Comparable&lt;<a href="../../../towerwarspp/player/mcts/ScoredNode.html" title="class in towerwarspp.player.mcts">ScoredNode</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>class <span class="typeNameLabel">ScoredNode</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a href="../../../towerwarspp/player/mcts/ScoredNode.html" title="class in towerwarspp.player.mcts">ScoredNode</a>&gt;</pre>
<div class="block">Simple Data container class that contains pairs of Nodes and their score. Implements <code>Comparable</code>
 to impose a total ordering. Scored Nodes are order by the natural ordering of their scores.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robin Hundt</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/ScoredNode.html#node">node</a></span></code>
<div class="block">Contained Node in pair.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/ScoredNode.html#ucbScore">ucbScore</a></span></code>
<div class="block">Contained UCB1 score in Pair.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/ScoredNode.html#ScoredNode-towerwarspp.player.mcts.Node-double-">ScoredNode</a></span>(<a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;node,
          double&nbsp;ucbScore)</code>
<div class="block">Construct a new pair that holds a reference to the passed Node and it's  score.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/ScoredNode.html#compareTo-towerwarspp.player.mcts.ScoredNode-">compareTo</a></span>(<a href="../../../towerwarspp/player/mcts/ScoredNode.html" title="class in towerwarspp.player.mcts">ScoredNode</a>&nbsp;scoredNode)</code>
<div class="block">Imposes a total ordering on scored Nodes equivalent to the ordering of their double scores.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="node">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>node</h4>
<pre>final&nbsp;<a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a> node</pre>
<div class="block">Contained Node in pair.</div>
</li>
</ul>
<a name="ucbScore">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ucbScore</h4>
<pre>final&nbsp;double ucbScore</pre>
<div class="block">Contained UCB1 score in Pair.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ScoredNode-towerwarspp.player.mcts.Node-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ScoredNode</h4>
<pre>ScoredNode(<a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;node,
           double&nbsp;ucbScore)</pre>
<div class="block">Construct a new pair that holds a reference to the passed Node and it's  score.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - Node stored in ScoredNode</dd>
<dd><code>ucbScore</code> - score to store with Node</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="compareTo-towerwarspp.player.mcts.ScoredNode-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>compareTo</h4>
<pre>public&nbsp;int&nbsp;compareTo(<a href="../../../towerwarspp/player/mcts/ScoredNode.html" title="class in towerwarspp.player.mcts">ScoredNode</a>&nbsp;scoredNode)</pre>
<div class="block">Imposes a total ordering on scored Nodes equivalent to the ordering of their double scores.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a href="../../../towerwarspp/player/mcts/ScoredNode.html" title="class in towerwarspp.player.mcts">ScoredNode</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scoredNode</code> - ScoredNode to compare this instance with</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>negative value if passed ScoredNode is greater, positive value if passed ScoredNode greater and 0 if they
 have an equal score</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ScoredNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../towerwarspp/player/mcts/Task.html" title="enum in towerwarspp.player.mcts"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/player/mcts/ScoredNode.html" target="_top">Frames</a></li>
<li><a href="ScoredNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
